
    create table TB_ACTION (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        VALUE varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_AGREEMENT (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        TYPE varchar(255),
        VALUE varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_BACKEND_FILTER (
        ID_PK integer not null auto_increment,
        BACKEND_NAME varchar(255),
        PRIORITY integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_BUSINESS_PROCESS (
        ID_PK integer not null auto_increment,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_CONFIGURATION (
        ID_PK integer not null auto_increment,
        FK_BUSINESSPROCESSES integer,
        FK_PARTY integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_ERROR (
        ID_PK integer not null auto_increment,
        CATEGORY varchar(255),
        DESCRIPTION_LANG varchar(255),
        DESCRIPTION_VALUE varchar(255),
        ERROR_CODE varchar(255),
        ERROR_DETAIL longtext,
        ORIGIN varchar(255),
        REF_TO_MESSAGE_ID varchar(255),
        SEVERITY varchar(255),
        SHORT_DESCRIPTION varchar(255),
        SIGNALMESSAGE_ID integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_ERROR_HANDLING (
        ID_PK integer not null auto_increment,
        BUSINESS_ERROR_NOTIFY_CONSUMER bit,
        BUSINESS_ERROR_NOTIFY_PRODUCER bit,
        DELIVERY_FAIL_NOTIFY_PRODUCER bit,
        ERROR_AS_RESPONSE bit,
        NAME varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_ERROR_LOG (
        ID_PK integer not null auto_increment,
        ERROR_CODE varchar(255),
        ERROR_DETAIL varchar(255),
        ERROR_SIGNAL_MESSAGE_ID varchar(255),
        MESSAGE_IN_ERROR_ID varchar(255),
        MSH_ROLE varchar(255),
        NOTIFIED datetime,
        TIMESTAMP datetime,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_JOIN_PAYLOAD_PROFILE (
        FK_PAYLOAD integer not null,
        FK_PROFILE integer not null
    ) ENGINE=InnoDB;

    create table TB_JOIN_PROCESS_INIT_PARTY (
        PROCESS_FK integer not null,
        PARTY_FK integer not null
    ) ENGINE=InnoDB;

    create table TB_JOIN_PROCESS_LEG (
        PROCESS_FK integer not null,
        LEG_FK integer not null
    ) ENGINE=InnoDB;

    create table TB_JOIN_PROCESS_RESP_PARTY (
        PROCESS_FK integer not null,
        PARTY_FK integer not null
    ) ENGINE=InnoDB;

    create table TB_JOIN_PROPERTY_SET (
        PROPERTY_FK integer not null,
        SET_FK integer not null
    ) ENGINE=InnoDB;

    create table TB_LEG (
        ID_PK integer not null auto_increment,
        COMPRESS_PAYLOADS bit,
        NAME varchar(255),
        FK_ACTION integer,
        FK_MPC integer,
        FK_ERROR_HANDLING integer,
        FK_PAYLOAD_PROFILE integer,
        FK_PROPERTY_SET integer,
        FK_RECEPTION_AWARENESS integer,
        FK_RELIABILITY integer,
        FK_SECURITY integer,
        FK_SERVICE integer,
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_LEG_TB_MPC (
        LegConfiguration_ID_PK integer not null,
        partyMpcMap_ID_PK integer not null,
        partyMpcMap_KEY integer not null,
        primary key (LegConfiguration_ID_PK, partyMpcMap_KEY)
    ) ENGINE=InnoDB;

    create table TB_MEP (
        ID_PK integer not null auto_increment,
        LEG_COUNT integer,
        NAME varchar(255),
        VALUE varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_MEP_BINDING (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        VALUE varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_MESSAGE_INFO (
        ID_PK integer not null auto_increment,
        MESSAGE_ID varchar(255) not null,
        REF_TO_MESSAGE_ID varchar(255),
        TIMESTAMP datetime,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_MESSAGE_LOG (
        ID_PK integer not null auto_increment,
        DELETED datetime,
        MESSAGE_ID varchar(255),
        MESSAGE_STATUS varchar(255),
        MESSAGE_TYPE varchar(255),
        MPC varchar(255),
        MSH_ROLE varchar(255),
        NEXT_ATTEMPT datetime,
        NOTIFICATION_STATUS varchar(255),
        RECEIVED datetime,
        SEND_ATTEMPTS integer,
        SEND_ATTEMPTS_MAX integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_MESSAGE_PROPERTY (
        ID_PK integer not null auto_increment,
        DATATYPE varchar(255),
        KEY_ varchar(255),
        NAME varchar(255),
        REQUIRED_ bit,
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_MESSAGE_PROPERTY_SET (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_MESSAGING (
        ID_PK integer not null auto_increment,
        ID varchar(255),
        SIGNAL_MESSAGE_ID integer,
        USER_MESSAGE_ID integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_MPC (
        ID_PK integer not null auto_increment,
        DEFAULT_MPC bit,
        IS_ENABLED bit,
        name varchar(255),
        QUALIFIED_NAME varchar(255),
        RETENTION_DOWNLOADED integer,
        RETENTION_UNDOWNLOADED integer,
        FK_CONFIGURATION integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PARTY (
        ID_PK integer not null auto_increment,
        ENDPOINT varchar(255),
        NAME varchar(255),
        PASSWORD varchar(255),
        USERNAME varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PARTY_ID (
        ID_PK integer not null auto_increment,
        TYPE varchar(255),
        VALUE varchar(255),
        TO_ID integer,
        FROM_ID integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PARTY_IDENTIFIER (
        ID_PK integer not null auto_increment,
        PARTY_ID varchar(255),
        FK_PARTY_ID_TYPE integer,
        FK_PARTY integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PARTY_ID_TYPE (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        VALUE varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PART_INFO (
        ID_PK integer not null auto_increment,
        BINARY_DATA longblob,
        DESCRIPTION_LANG varchar(255),
        DESCRIPTION_VALUE varchar(255),
        HREF varchar(255),
        IN_BODY bit,
        SCHEMA_LOCATION varchar(255),
        SCHEMA_NAMESPACE varchar(255),
        SCHEMA_VERSION varchar(255),
        PAYLOADINFO_ID integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PAYLOAD (
        ID_PK integer not null auto_increment,
        CID varchar(255),
        IN_BODY bit,
        MAX_SIZE integer,
        MIME_TYPE varchar(255),
        NAME varchar(255),
        REQUIRED_ bit,
        SCHEMA_FILE varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PAYLOAD_PROFILE (
        ID_PK integer not null auto_increment,
        MAX_SIZE integer,
        NAME varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PROCESS (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        FK_AGREEMENT integer,
        FK_INITIATOR_ROLE integer,
        FK_MEP integer,
        FK_MEP_BINDING integer,
        FK_RESPONDER_ROLE integer,
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_PROPERTY (
        ID_PK integer not null auto_increment,
        NAME varchar(255) not null,
        VALUE varchar(255),
        MESSAGEPROPERTIES_ID integer,
        PARTPROPERTIES_ID integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_RECEIPT (
        ID_PK integer not null auto_increment,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_RECEIPT_DATA (
        RECEIPT_ID integer not null,
        RAW_XML longtext
    ) ENGINE=InnoDB;

    create table TB_RECEPTION_AWARENESS (
        ID_PK integer not null auto_increment,
        DUPLICATE_DETECTION bit,
        NAME varchar(255),
        RETRY_COUNT integer,
        RETRY_TIMEOUT integer,
        STRATEGY varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_RELIABILITY (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        NON_REPUDIATION bit,
        REPLY_PATTERN varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_ROLE (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        VALUE varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_ROUTING_CRITERIA (
        ID_PK integer not null auto_increment,
        EXPRESSION varchar(255),
        NAME varchar(255),
        FK_BACKEND_FILTER integer,
        PRIORITY integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_SECURITY (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        POLICY varchar(255),
        SIGNATURE_METHOD varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_SERVICE (
        ID_PK integer not null auto_increment,
        NAME varchar(255),
        SERVICE_TYPE varchar(255),
        VALUE varchar(255),
        FK_BUSINESSPROCESS integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_SIGNAL_MESSAGE (
        ID_PK integer not null auto_increment,
        PULL_REQUEST_MPC varchar(255),
        messageInfo_ID_PK integer,
        receipt_ID_PK integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    create table TB_USER_MESSAGE (
        ID_PK integer not null auto_increment,
        COLLABORATION_INFO_ACTION varchar(255),
        AGREEMENT_REF_PMODE varchar(255),
        AGREEMENT_REF_TYPE varchar(255),
        AGREEMENT_REF_VALUE varchar(255),
        COLL_INFO_CONVERS_ID varchar(255) not null,
        SERVICE_TYPE varchar(255),
        SERVICE_VALUE varchar(255),
        MPC varchar(255),
        FROM_ROLE varchar(255),
        TO_ROLE varchar(255),
        messageInfo_ID_PK integer,
        primary key (ID_PK)
    ) ENGINE=InnoDB;

    alter table TB_LEG_TB_MPC 
        add constraint UK_7h5nw411791gf4lg1yh6si1wd  unique (partyMpcMap_ID_PK);

    alter table TB_MESSAGE_INFO 
        add constraint UK_ecrraoe83o1uqq0dn9424x7ln  unique (MESSAGE_ID);

    create index UK_bpeflt902ybu9nshba2fjpv9d on TB_MESSAGE_LOG (MSH_ROLE);

    alter table TB_ACTION 
        add constraint FK_6hldnnqkmh6lui555t4n9fjiv 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_AGREEMENT 
        add constraint FK_70m9kqpqab3rgk90wsuv9vn64 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_CONFIGURATION 
        add constraint FK_62dt1y6o7od1t0iqn7dow8uq5 
        foreign key (FK_BUSINESSPROCESSES) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_CONFIGURATION 
        add constraint FK_q3gapfc1e7hfbgmo0nebj4k1n 
        foreign key (FK_PARTY) 
        references TB_PARTY (ID_PK);

    alter table TB_ERROR 
        add constraint FK_prrcmi4grm4txhfsfnfhgq1k1 
        foreign key (SIGNALMESSAGE_ID) 
        references TB_SIGNAL_MESSAGE (ID_PK);

    alter table TB_ERROR_HANDLING 
        add constraint FK_l1mmhs1tbt8pw7vx5teuytjvj 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_JOIN_PAYLOAD_PROFILE 
        add constraint FK_g20eow5f2cke3avsrg6qpkuxv 
        foreign key (FK_PROFILE) 
        references TB_PAYLOAD (ID_PK);

    alter table TB_JOIN_PAYLOAD_PROFILE 
        add constraint FK_q0l3ej6ruqcfutru2securq9l 
        foreign key (FK_PAYLOAD) 
        references TB_PAYLOAD_PROFILE (ID_PK);

    alter table TB_JOIN_PROCESS_INIT_PARTY 
        add constraint FK_asjdl57budmuwmj3611969jpp 
        foreign key (PARTY_FK) 
        references TB_PARTY (ID_PK);

    alter table TB_JOIN_PROCESS_INIT_PARTY 
        add constraint FK_ot8jfkotd6qu7jrdaptrohbn8 
        foreign key (PROCESS_FK) 
        references TB_PROCESS (ID_PK);

    alter table TB_JOIN_PROCESS_LEG 
        add constraint FK_gh98q07kcjl7wdaon9ggifqux 
        foreign key (LEG_FK) 
        references TB_LEG (ID_PK);

    alter table TB_JOIN_PROCESS_LEG 
        add constraint FK_fpxbdc63gifacrd4qb6afrqyw 
        foreign key (PROCESS_FK) 
        references TB_PROCESS (ID_PK);

    alter table TB_JOIN_PROCESS_RESP_PARTY 
        add constraint FK_kyn19swm143m96in317sr97h2 
        foreign key (PARTY_FK) 
        references TB_PARTY (ID_PK);

    alter table TB_JOIN_PROCESS_RESP_PARTY 
        add constraint FK_hlb2y2prpm52ssynn22h3swsr 
        foreign key (PROCESS_FK) 
        references TB_PROCESS (ID_PK);

    alter table TB_JOIN_PROPERTY_SET 
        add constraint FK_mk54xe43f3hokh7fjl3w66efk 
        foreign key (SET_FK) 
        references TB_MESSAGE_PROPERTY (ID_PK);

    alter table TB_JOIN_PROPERTY_SET 
        add constraint FK_ekk8pn89y50g22kd3gpja7j39 
        foreign key (PROPERTY_FK) 
        references TB_MESSAGE_PROPERTY_SET (ID_PK);

    alter table TB_LEG 
        add constraint FK_dgtgtg41yrfebyysmkyi1gcaa 
        foreign key (FK_ACTION) 
        references TB_ACTION (ID_PK);

    alter table TB_LEG 
        add constraint FK_ppvxyurcvfy71fvejw9bosghw 
        foreign key (FK_MPC) 
        references TB_MPC (ID_PK);

    alter table TB_LEG 
        add constraint FK_j0y3fcediqx5but8jbscy59kw 
        foreign key (FK_ERROR_HANDLING) 
        references TB_ERROR_HANDLING (ID_PK);

    alter table TB_LEG 
        add constraint FK_am7bwsm92se3nvclbeiep5vwg 
        foreign key (FK_PAYLOAD_PROFILE) 
        references TB_PAYLOAD_PROFILE (ID_PK);

    alter table TB_LEG 
        add constraint FK_le4rxnki51eak6xetc7fq8sri 
        foreign key (FK_PROPERTY_SET) 
        references TB_MESSAGE_PROPERTY_SET (ID_PK);

    alter table TB_LEG 
        add constraint FK_rlbjstvo4gpdcp6ysv9mofqxj 
        foreign key (FK_RECEPTION_AWARENESS) 
        references TB_RECEPTION_AWARENESS (ID_PK);

    alter table TB_LEG 
        add constraint FK_13k2eptp1ejp5othy1njrg3p8 
        foreign key (FK_RELIABILITY) 
        references TB_RELIABILITY (ID_PK);

    alter table TB_LEG 
        add constraint FK_9hpmoewlitivcl8rw1joccuau 
        foreign key (FK_SECURITY) 
        references TB_SECURITY (ID_PK);

    alter table TB_LEG 
        add constraint FK_kv2c5k41apdlvc6i18ar57abe 
        foreign key (FK_SERVICE) 
        references TB_SERVICE (ID_PK);

    alter table TB_LEG 
        add constraint FK_r2swpqof7636vveqt0dxl89dp 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_LEG_TB_MPC 
        add constraint FK_7h5nw411791gf4lg1yh6si1wd 
        foreign key (partyMpcMap_ID_PK) 
        references TB_MPC (ID_PK);

    alter table TB_LEG_TB_MPC 
        add constraint FK_orddltv2g3lq79eu48c2mc2fy 
        foreign key (partyMpcMap_KEY) 
        references TB_PARTY (ID_PK);

    alter table TB_LEG_TB_MPC 
        add constraint FK_nylcxsy1f9cn3tdskh97h8pt1 
        foreign key (LegConfiguration_ID_PK) 
        references TB_LEG (ID_PK);

    alter table TB_MEP 
        add constraint FK_epmxkh8u7jnw5pbyj47sirmlh 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_MEP_BINDING 
        add constraint FK_277j83lgsq3nmwyhsw637ynd8 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_MESSAGE_PROPERTY 
        add constraint FK_rj8h1b65vnjjgyfcjnvswkguh 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_MESSAGE_PROPERTY_SET 
        add constraint FK_eiy3f9ahx0kdx4wxoi6prytn9 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_MESSAGING 
        add constraint FK_53gp9smtemqcuio8o9t10narm 
        foreign key (SIGNAL_MESSAGE_ID) 
        references TB_SIGNAL_MESSAGE (ID_PK);

    alter table TB_MESSAGING 
        add constraint FK_433rgm5a446t59q6jkb885l3x 
        foreign key (USER_MESSAGE_ID) 
        references TB_USER_MESSAGE (ID_PK);

    alter table TB_MPC 
        add constraint FK_8q319stwm1noijpb3jfl8jri8 
        foreign key (FK_CONFIGURATION) 
        references TB_CONFIGURATION (ID_PK);

    alter table TB_PARTY 
        add constraint FK_cloyy9k391vhsup85iwr8ixiv 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_PARTY_ID 
        add constraint FK_ylub8lptgvsch02mj71euuil 
        foreign key (TO_ID) 
        references TB_USER_MESSAGE (ID_PK);

    alter table TB_PARTY_ID 
        add constraint FK_fkftd5orw2etiu4ghmn3mhx9i 
        foreign key (FROM_ID) 
        references TB_USER_MESSAGE (ID_PK);

    alter table TB_PARTY_IDENTIFIER 
        add constraint FK_e7ehghifrns83w6v3tps7vpii 
        foreign key (FK_PARTY_ID_TYPE) 
        references TB_PARTY_ID_TYPE (ID_PK);

    alter table TB_PARTY_IDENTIFIER 
        add constraint FK_desr6xtdp1lp41d5venlhf4bc 
        foreign key (FK_PARTY) 
        references TB_PARTY (ID_PK);

    alter table TB_PARTY_ID_TYPE 
        add constraint FK_advgudix024irqpuge4dl9iqf 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_PART_INFO 
        add constraint FK_tq6lbn3mp0vsfc6qqu7wxy54g 
        foreign key (PAYLOADINFO_ID) 
        references TB_USER_MESSAGE (ID_PK);

    alter table TB_PAYLOAD 
        add constraint FK_d9el0l8u1gm5oeu67nqrkherq 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_PAYLOAD_PROFILE 
        add constraint FK_lynom7rxkc0t1xfl0nowxpeuj 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_PROCESS 
        add constraint FK_kjanlcdeap7nirdigr7rt7p4v 
        foreign key (FK_AGREEMENT) 
        references TB_AGREEMENT (ID_PK);

    alter table TB_PROCESS 
        add constraint FK_q1jfsxfoj3nl7hii3co7bu0fr 
        foreign key (FK_INITIATOR_ROLE) 
        references TB_ROLE (ID_PK);

    alter table TB_PROCESS 
        add constraint FK_j7lab5n5suklcldqhxn8jl2jo 
        foreign key (FK_MEP) 
        references TB_MEP (ID_PK);

    alter table TB_PROCESS 
        add constraint FK_tp11d8fg7cv1fwf5xkvwqpp34 
        foreign key (FK_MEP_BINDING) 
        references TB_MEP_BINDING (ID_PK);

    alter table TB_PROCESS 
        add constraint FK_3emt6xaglh7676lpckiy6r1vb 
        foreign key (FK_RESPONDER_ROLE) 
        references TB_ROLE (ID_PK);

    alter table TB_PROCESS 
        add constraint FK_7p1g7sqvli1sj6k7vphjo9irc 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_PROPERTY 
        add constraint FK_2h31p0a2y6weg2grh70c9cyva 
        foreign key (MESSAGEPROPERTIES_ID) 
        references TB_USER_MESSAGE (ID_PK);

    alter table TB_PROPERTY 
        add constraint FK_cwylvg6ernwba61mo3yagmkg8 
        foreign key (PARTPROPERTIES_ID) 
        references TB_PART_INFO (ID_PK);

    alter table TB_RECEIPT_DATA 
        add constraint FK_8nccae214mvs1kh5sgcj3y5oy 
        foreign key (RECEIPT_ID) 
        references TB_RECEIPT (ID_PK);

    alter table TB_RECEPTION_AWARENESS 
        add constraint FK_3sgaxwfr5koe3oldbbd62siwq 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_RELIABILITY 
        add constraint FK_lnnplhiawxx7wlt43ye3pej00 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_ROLE 
        add constraint FK_2sw6knalor7rpr04ye0o2r9ap 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_ROUTING_CRITERIA 
        add constraint FK_i7gei6bdr2cdn61hdoplxbu7p 
        foreign key (FK_BACKEND_FILTER) 
        references TB_BACKEND_FILTER (ID_PK);

    alter table TB_SECURITY 
        add constraint FK_fwrq81cctu2nh0qeprmpvker9 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_SERVICE 
        add constraint FK_kkhxs36rw15aygpn00nvvgyxg 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS (ID_PK);

    alter table TB_SIGNAL_MESSAGE 
        add constraint FK_c08ljjwi4p9dx1rjtcdbe1sfu 
        foreign key (messageInfo_ID_PK) 
        references TB_MESSAGE_INFO (ID_PK);

    alter table TB_SIGNAL_MESSAGE 
        add constraint FK_m6uu2y6g9buet3o3k1n4qxwec 
        foreign key (receipt_ID_PK) 
        references TB_RECEIPT (ID_PK);

    alter table TB_USER_MESSAGE 
        add constraint FK_be4xc1069qyw2klhvm3xmg26s 
        foreign key (messageInfo_ID_PK) 
        references TB_MESSAGE_INFO (ID_PK);