
    create table TB_ACTION (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        VALUE varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_AGREEMENT (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        TYPE varchar2(255 char),
        VALUE varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_BACKEND_FILTER (
        ID_PK number(10,0) not null,
        BACKEND_NAME varchar2(255 char),
        PRIORITY number(10,0),
        primary key (ID_PK)
    );

    create table TB_BUSINESS_PROCESS (
        ID_PK number(10,0) not null,
        primary key (ID_PK)
    );

    create table TB_CONFIGURATION (
        ID_PK number(10,0) not null,
        FK_BUSINESSPROCESSES number(10,0),
        FK_PARTY number(10,0),
        primary key (ID_PK)
    );

    create table TB_ERROR (
        ID_PK number(10,0) not null,
        CATEGORY varchar2(255 char),
        DESCRIPTION_LANG varchar2(255 char),
        DESCRIPTION_VALUE varchar2(255 char),
        ERROR_CODE varchar2(255 char),
        ERROR_DETAIL clob,
        ORIGIN varchar2(255 char),
        REF_TO_MESSAGE_ID varchar2(255 char),
        SEVERITY varchar2(255 char),
        SHORT_DESCRIPTION varchar2(255 char),
        SIGNALMESSAGE_ID number(10,0),
        primary key (ID_PK)
    );

    create table TB_ERROR_HANDLING (
        ID_PK number(10,0) not null,
        BUSINESS_ERROR_NOTIFY_CONSUMER number(1,0),
        BUSINESS_ERROR_NOTIFY_PRODUCER number(1,0),
        DELIVERY_FAIL_NOTIFY_PRODUCER number(1,0),
        ERROR_AS_RESPONSE number(1,0),
        NAME varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_ERROR_LOG (
        ID_PK number(10,0) not null,
        ERROR_CODE varchar2(255 char),
        ERROR_DETAIL varchar2(255 char),
        ERROR_SIGNAL_MESSAGE_ID varchar2(255 char),
        MESSAGE_IN_ERROR_ID varchar2(255 char),
        MSH_ROLE varchar2(255 char),
        NOTIFIED timestamp,
        TIMESTAMP timestamp,
        primary key (ID_PK)
    );

    create table TB_JOIN_PAYLOAD_PROFILE (
        FK_PAYLOAD number(10,0) not null,
        FK_PROFILE number(10,0) not null
    );

    create table TB_JOIN_PROCESS_INIT_PARTY (
        PROCESS_FK number(10,0) not null,
        PARTY_FK number(10,0) not null
    );

    create table TB_JOIN_PROCESS_LEG (
        PROCESS_FK number(10,0) not null,
        LEG_FK number(10,0) not null
    );

    create table TB_JOIN_PROCESS_RESP_PARTY (
        PROCESS_FK number(10,0) not null,
        PARTY_FK number(10,0) not null
    );

    create table TB_JOIN_PROPERTY_SET (
        PROPERTY_FK number(10,0) not null,
        SET_FK number(10,0) not null
    );

    create table TB_LEG (
        ID_PK number(10,0) not null,
        COMPRESS_PAYLOADS number(1,0),
        NAME varchar2(255 char),
        FK_ACTION number(10,0),
        FK_MPC number(10,0),
        FK_ERROR_HANDLING number(10,0),
        FK_PAYLOAD_PROFILE number(10,0),
        FK_PROPERTY_SET number(10,0),
        FK_RECEPTION_AWARENESS number(10,0),
        FK_RELIABILITY number(10,0),
        FK_SECURITY number(10,0),
        FK_SERVICE number(10,0),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_LEG_TB_MPC (
        LegConfiguration_ID_PK number(10,0) not null,
        partyMpcMap_ID_PK number(10,0) not null,
        partyMpcMap_KEY number(10,0) not null,
        primary key (LegConfiguration_ID_PK, partyMpcMap_KEY)
    );

    create table TB_MEP (
        ID_PK number(10,0) not null,
        LEG_COUNT number(10,0),
        NAME varchar2(255 char),
        VALUE varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_MEP_BINDING (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        VALUE varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_MESSAGE_INFO (
        ID_PK number(10,0) not null,
        MESSAGE_ID varchar2(255 char) not null,
        REF_TO_MESSAGE_ID varchar2(255 char),
        TIMESTAMP timestamp,
        primary key (ID_PK)
    );

    create table TB_MESSAGE_LOG (
        ID_PK number(10,0) not null,
        DELETED timestamp,
        MESSAGE_ID varchar2(255 char),
        MESSAGE_STATUS varchar2(255 char),
        MESSAGE_TYPE varchar2(255 char),
        MPC varchar2(255 char),
        MSH_ROLE varchar2(255 char),
        NEXT_ATTEMPT timestamp,
        NOTIFICATION_STATUS varchar2(255 char),
        RECEIVED timestamp,
        SEND_ATTEMPTS number(10,0),
        SEND_ATTEMPTS_MAX number(10,0),
        primary key (ID_PK)
    );

    create table TB_MESSAGE_PROPERTY (
        ID_PK number(10,0) not null,
        DATATYPE varchar2(255 char),
        KEY_ varchar2(255 char),
        NAME varchar2(255 char),
        REQUIRED_ number(1,0),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_MESSAGE_PROPERTY_SET (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_MESSAGING (
        ID_PK number(10,0) not null,
        ID varchar2(255 char),
        SIGNAL_MESSAGE_ID number(10,0),
        USER_MESSAGE_ID number(10,0),
        primary key (ID_PK)
    );

    create table TB_MPC (
        ID_PK number(10,0) not null,
        DEFAULT_MPC number(1,0),
        IS_ENABLED number(1,0),
        name varchar2(255 char),
        QUALIFIED_NAME varchar2(255 char),
        RETENTION_DOWNLOADED number(10,0),
        RETENTION_UNDOWNLOADED number(10,0),
        FK_CONFIGURATION number(10,0),
        primary key (ID_PK)
    );

    create table TB_PARTY (
        ID_PK number(10,0) not null,
        ENDPOINT varchar2(255 char),
        NAME varchar2(255 char),
        PASSWORD varchar2(255 char),
        USERNAME varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_PARTY_ID (
        ID_PK number(10,0) not null,
        TYPE varchar2(255 char),
        VALUE varchar2(255 char),
        TO_ID number(10,0),
        FROM_ID number(10,0),
        primary key (ID_PK)
    );

    create table TB_PARTY_IDENTIFIER (
        ID_PK number(10,0) not null,
        PARTY_ID varchar2(255 char),
        FK_PARTY_ID_TYPE number(10,0),
        FK_PARTY number(10,0),
        primary key (ID_PK)
    );

    create table TB_PARTY_ID_TYPE (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        VALUE varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_PART_INFO (
        ID_PK number(10,0) not null,
        BINARY_DATA blob,
        DESCRIPTION_LANG varchar2(255 char),
        DESCRIPTION_VALUE varchar2(255 char),
        HREF varchar2(255 char),
        IN_BODY number(1,0),
        SCHEMA_LOCATION varchar2(255 char),
        SCHEMA_NAMESPACE varchar2(255 char),
        SCHEMA_VERSION varchar2(255 char),
        PAYLOADINFO_ID number(10,0),
        primary key (ID_PK)
    );

    create table TB_PAYLOAD (
        ID_PK number(10,0) not null,
        CID varchar2(255 char),
        IN_BODY number(1,0),
        MAX_SIZE number(10,0),
        MIME_TYPE varchar2(255 char),
        NAME varchar2(255 char),
        REQUIRED_ number(1,0),
        SCHEMA_FILE varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_PAYLOAD_PROFILE (
        ID_PK number(10,0) not null,
        MAX_SIZE number(10,0),
        NAME varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_PROCESS (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        FK_AGREEMENT number(10,0),
        FK_INITIATOR_ROLE number(10,0),
        FK_MEP number(10,0),
        FK_MEP_BINDING number(10,0),
        FK_RESPONDER_ROLE number(10,0),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_PROPERTY (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char) not null,
        VALUE varchar2(255 char),
        MESSAGEPROPERTIES_ID number(10,0),
        PARTPROPERTIES_ID number(10,0),
        primary key (ID_PK)
    );

    create table TB_RECEIPT (
        ID_PK number(10,0) not null,
        primary key (ID_PK)
    );

    create table TB_RECEIPT_DATA (
        RECEIPT_ID number(10,0) not null,
        RAW_XML clob
    );

    create table TB_RECEPTION_AWARENESS (
        ID_PK number(10,0) not null,
        DUPLICATE_DETECTION number(1,0),
        NAME varchar2(255 char),
        RETRY_COUNT number(10,0),
        RETRY_TIMEOUT number(10,0),
        STRATEGY varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_RELIABILITY (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        NON_REPUDIATION number(1,0),
        REPLY_PATTERN varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_ROLE (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        VALUE varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_ROUTING_CRITERIA (
        ID_PK number(10,0) not null,
        EXPRESSION varchar2(255 char),
        NAME varchar2(255 char),
        FK_BACKEND_FILTER number(10,0),
        PRIORITY number(10,0),
        primary key (ID_PK)
    );

    create table TB_SECURITY (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        POLICY varchar2(255 char),
        SIGNATURE_METHOD varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_SERVICE (
        ID_PK number(10,0) not null,
        NAME varchar2(255 char),
        SERVICE_TYPE varchar2(255 char),
        VALUE varchar2(255 char),
        FK_BUSINESSPROCESS number(10,0),
        primary key (ID_PK)
    );

    create table TB_SIGNAL_MESSAGE (
        ID_PK number(10,0) not null,
        PULL_REQUEST_MPC varchar2(255 char),
        messageInfo_ID_PK number(10,0),
        receipt_ID_PK number(10,0),
        primary key (ID_PK)
    );

    create table TB_USER_MESSAGE (
        ID_PK number(10,0) not null,
        COLLABORATION_INFO_ACTION varchar2(255 char),
        AGREEMENT_REF_PMODE varchar2(255 char),
        AGREEMENT_REF_TYPE varchar2(255 char),
        AGREEMENT_REF_VALUE varchar2(255 char),
        COLL_INFO_CONVERS_ID varchar2(255 char) not null,
        SERVICE_TYPE varchar2(255 char),
        SERVICE_VALUE varchar2(255 char),
        MPC varchar2(255 char),
        FROM_ROLE varchar2(255 char),
        TO_ROLE varchar2(255 char),
        messageInfo_ID_PK number(10,0),
        primary key (ID_PK)
    );

    alter table TB_LEG_TB_MPC 
        add constraint UK_7h5nw411791gf4lg1yh6si1wd  unique (partyMpcMap_ID_PK);

    alter table TB_MESSAGE_INFO 
        add constraint UK_ecrraoe83o1uqq0dn9424x7ln  unique (MESSAGE_ID);

    create index UK_bpeflt902ybu9nshba2fjpv9d on TB_MESSAGE_LOG (MSH_ROLE);

    alter table TB_ACTION 
        add constraint FK_6hldnnqkmh6lui555t4n9fjiv 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_AGREEMENT 
        add constraint FK_70m9kqpqab3rgk90wsuv9vn64 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_CONFIGURATION 
        add constraint FK_62dt1y6o7od1t0iqn7dow8uq5 
        foreign key (FK_BUSINESSPROCESSES) 
        references TB_BUSINESS_PROCESS;

    alter table TB_CONFIGURATION 
        add constraint FK_q3gapfc1e7hfbgmo0nebj4k1n 
        foreign key (FK_PARTY) 
        references TB_PARTY;

    alter table TB_ERROR 
        add constraint FK_prrcmi4grm4txhfsfnfhgq1k1 
        foreign key (SIGNALMESSAGE_ID) 
        references TB_SIGNAL_MESSAGE;

    alter table TB_ERROR_HANDLING 
        add constraint FK_l1mmhs1tbt8pw7vx5teuytjvj 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_JOIN_PAYLOAD_PROFILE 
        add constraint FK_g20eow5f2cke3avsrg6qpkuxv 
        foreign key (FK_PROFILE) 
        references TB_PAYLOAD;

    alter table TB_JOIN_PAYLOAD_PROFILE 
        add constraint FK_q0l3ej6ruqcfutru2securq9l 
        foreign key (FK_PAYLOAD) 
        references TB_PAYLOAD_PROFILE;

    alter table TB_JOIN_PROCESS_INIT_PARTY 
        add constraint FK_asjdl57budmuwmj3611969jpp 
        foreign key (PARTY_FK) 
        references TB_PARTY;

    alter table TB_JOIN_PROCESS_INIT_PARTY 
        add constraint FK_ot8jfkotd6qu7jrdaptrohbn8 
        foreign key (PROCESS_FK) 
        references TB_PROCESS;

    alter table TB_JOIN_PROCESS_LEG 
        add constraint FK_gh98q07kcjl7wdaon9ggifqux 
        foreign key (LEG_FK) 
        references TB_LEG;

    alter table TB_JOIN_PROCESS_LEG 
        add constraint FK_fpxbdc63gifacrd4qb6afrqyw 
        foreign key (PROCESS_FK) 
        references TB_PROCESS;

    alter table TB_JOIN_PROCESS_RESP_PARTY 
        add constraint FK_kyn19swm143m96in317sr97h2 
        foreign key (PARTY_FK) 
        references TB_PARTY;

    alter table TB_JOIN_PROCESS_RESP_PARTY 
        add constraint FK_hlb2y2prpm52ssynn22h3swsr 
        foreign key (PROCESS_FK) 
        references TB_PROCESS;

    alter table TB_JOIN_PROPERTY_SET 
        add constraint FK_mk54xe43f3hokh7fjl3w66efk 
        foreign key (SET_FK) 
        references TB_MESSAGE_PROPERTY;

    alter table TB_JOIN_PROPERTY_SET 
        add constraint FK_ekk8pn89y50g22kd3gpja7j39 
        foreign key (PROPERTY_FK) 
        references TB_MESSAGE_PROPERTY_SET;

    alter table TB_LEG 
        add constraint FK_dgtgtg41yrfebyysmkyi1gcaa 
        foreign key (FK_ACTION) 
        references TB_ACTION;

    alter table TB_LEG 
        add constraint FK_ppvxyurcvfy71fvejw9bosghw 
        foreign key (FK_MPC) 
        references TB_MPC;

    alter table TB_LEG 
        add constraint FK_j0y3fcediqx5but8jbscy59kw 
        foreign key (FK_ERROR_HANDLING) 
        references TB_ERROR_HANDLING;

    alter table TB_LEG 
        add constraint FK_am7bwsm92se3nvclbeiep5vwg 
        foreign key (FK_PAYLOAD_PROFILE) 
        references TB_PAYLOAD_PROFILE;

    alter table TB_LEG 
        add constraint FK_le4rxnki51eak6xetc7fq8sri 
        foreign key (FK_PROPERTY_SET) 
        references TB_MESSAGE_PROPERTY_SET;

    alter table TB_LEG 
        add constraint FK_rlbjstvo4gpdcp6ysv9mofqxj 
        foreign key (FK_RECEPTION_AWARENESS) 
        references TB_RECEPTION_AWARENESS;

    alter table TB_LEG 
        add constraint FK_13k2eptp1ejp5othy1njrg3p8 
        foreign key (FK_RELIABILITY) 
        references TB_RELIABILITY;

    alter table TB_LEG 
        add constraint FK_9hpmoewlitivcl8rw1joccuau 
        foreign key (FK_SECURITY) 
        references TB_SECURITY;

    alter table TB_LEG 
        add constraint FK_kv2c5k41apdlvc6i18ar57abe 
        foreign key (FK_SERVICE) 
        references TB_SERVICE;

    alter table TB_LEG 
        add constraint FK_r2swpqof7636vveqt0dxl89dp 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_LEG_TB_MPC 
        add constraint FK_7h5nw411791gf4lg1yh6si1wd 
        foreign key (partyMpcMap_ID_PK) 
        references TB_MPC;

    alter table TB_LEG_TB_MPC 
        add constraint FK_orddltv2g3lq79eu48c2mc2fy 
        foreign key (partyMpcMap_KEY) 
        references TB_PARTY;

    alter table TB_LEG_TB_MPC 
        add constraint FK_nylcxsy1f9cn3tdskh97h8pt1 
        foreign key (LegConfiguration_ID_PK) 
        references TB_LEG;

    alter table TB_MEP 
        add constraint FK_epmxkh8u7jnw5pbyj47sirmlh 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_MEP_BINDING 
        add constraint FK_277j83lgsq3nmwyhsw637ynd8 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_MESSAGE_PROPERTY 
        add constraint FK_rj8h1b65vnjjgyfcjnvswkguh 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_MESSAGE_PROPERTY_SET 
        add constraint FK_eiy3f9ahx0kdx4wxoi6prytn9 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_MESSAGING 
        add constraint FK_53gp9smtemqcuio8o9t10narm 
        foreign key (SIGNAL_MESSAGE_ID) 
        references TB_SIGNAL_MESSAGE;

    alter table TB_MESSAGING 
        add constraint FK_433rgm5a446t59q6jkb885l3x 
        foreign key (USER_MESSAGE_ID) 
        references TB_USER_MESSAGE;

    alter table TB_MPC 
        add constraint FK_8q319stwm1noijpb3jfl8jri8 
        foreign key (FK_CONFIGURATION) 
        references TB_CONFIGURATION;

    alter table TB_PARTY 
        add constraint FK_cloyy9k391vhsup85iwr8ixiv 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_PARTY_ID 
        add constraint FK_ylub8lptgvsch02mj71euuil 
        foreign key (TO_ID) 
        references TB_USER_MESSAGE;

    alter table TB_PARTY_ID 
        add constraint FK_fkftd5orw2etiu4ghmn3mhx9i 
        foreign key (FROM_ID) 
        references TB_USER_MESSAGE;

    alter table TB_PARTY_IDENTIFIER 
        add constraint FK_e7ehghifrns83w6v3tps7vpii 
        foreign key (FK_PARTY_ID_TYPE) 
        references TB_PARTY_ID_TYPE;

    alter table TB_PARTY_IDENTIFIER 
        add constraint FK_desr6xtdp1lp41d5venlhf4bc 
        foreign key (FK_PARTY) 
        references TB_PARTY;

    alter table TB_PARTY_ID_TYPE 
        add constraint FK_advgudix024irqpuge4dl9iqf 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_PART_INFO 
        add constraint FK_tq6lbn3mp0vsfc6qqu7wxy54g 
        foreign key (PAYLOADINFO_ID) 
        references TB_USER_MESSAGE;

    alter table TB_PAYLOAD 
        add constraint FK_d9el0l8u1gm5oeu67nqrkherq 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_PAYLOAD_PROFILE 
        add constraint FK_lynom7rxkc0t1xfl0nowxpeuj 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_PROCESS 
        add constraint FK_kjanlcdeap7nirdigr7rt7p4v 
        foreign key (FK_AGREEMENT) 
        references TB_AGREEMENT;

    alter table TB_PROCESS 
        add constraint FK_q1jfsxfoj3nl7hii3co7bu0fr 
        foreign key (FK_INITIATOR_ROLE) 
        references TB_ROLE;

    alter table TB_PROCESS 
        add constraint FK_j7lab5n5suklcldqhxn8jl2jo 
        foreign key (FK_MEP) 
        references TB_MEP;

    alter table TB_PROCESS 
        add constraint FK_tp11d8fg7cv1fwf5xkvwqpp34 
        foreign key (FK_MEP_BINDING) 
        references TB_MEP_BINDING;

    alter table TB_PROCESS 
        add constraint FK_3emt6xaglh7676lpckiy6r1vb 
        foreign key (FK_RESPONDER_ROLE) 
        references TB_ROLE;

    alter table TB_PROCESS 
        add constraint FK_7p1g7sqvli1sj6k7vphjo9irc 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_PROPERTY 
        add constraint FK_2h31p0a2y6weg2grh70c9cyva 
        foreign key (MESSAGEPROPERTIES_ID) 
        references TB_USER_MESSAGE;

    alter table TB_PROPERTY 
        add constraint FK_cwylvg6ernwba61mo3yagmkg8 
        foreign key (PARTPROPERTIES_ID) 
        references TB_PART_INFO;

    alter table TB_RECEIPT_DATA 
        add constraint FK_8nccae214mvs1kh5sgcj3y5oy 
        foreign key (RECEIPT_ID) 
        references TB_RECEIPT;

    alter table TB_RECEPTION_AWARENESS 
        add constraint FK_3sgaxwfr5koe3oldbbd62siwq 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_RELIABILITY 
        add constraint FK_lnnplhiawxx7wlt43ye3pej00 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_ROLE 
        add constraint FK_2sw6knalor7rpr04ye0o2r9ap 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_ROUTING_CRITERIA 
        add constraint FK_i7gei6bdr2cdn61hdoplxbu7p 
        foreign key (FK_BACKEND_FILTER) 
        references TB_BACKEND_FILTER;

    alter table TB_SECURITY 
        add constraint FK_fwrq81cctu2nh0qeprmpvker9 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_SERVICE 
        add constraint FK_kkhxs36rw15aygpn00nvvgyxg 
        foreign key (FK_BUSINESSPROCESS) 
        references TB_BUSINESS_PROCESS;

    alter table TB_SIGNAL_MESSAGE 
        add constraint FK_c08ljjwi4p9dx1rjtcdbe1sfu 
        foreign key (messageInfo_ID_PK) 
        references TB_MESSAGE_INFO;

    alter table TB_SIGNAL_MESSAGE 
        add constraint FK_m6uu2y6g9buet3o3k1n4qxwec 
        foreign key (receipt_ID_PK) 
        references TB_RECEIPT;

    alter table TB_USER_MESSAGE 
        add constraint FK_be4xc1069qyw2klhvm3xmg26s 
        foreign key (messageInfo_ID_PK) 
        references TB_MESSAGE_INFO;

    create sequence hibernate_sequence;